public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/openmpi/
Date: Thu, 11 Aug 2016 07:55:07 +0000 (UTC)	[thread overview]
Message-ID: <1470902082.b71662d42ea8943e4db7aa2856b8fe46b74bc97e.soap@gentoo> (raw)

commit:     b71662d42ea8943e4db7aa2856b8fe46b74bc97e
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 10 16:18:04 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Aug 11 07:54:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b71662d4

sys-cluster/openmpi: added multilib version

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/2062

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-cluster/openmpi/openmpi-1.10.2-r1.ebuild | 194 +++++++++++++++++++++++++++
 1 file changed, 194 insertions(+)

diff --git a/sys-cluster/openmpi/openmpi-1.10.2-r1.ebuild b/sys-cluster/openmpi/openmpi-1.10.2-r1.ebuild
new file mode 100644
index 0000000..db334b5
--- /dev/null
+++ b/sys-cluster/openmpi/openmpi-1.10.2-r1.ebuild
@@ -0,0 +1,194 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+FORTRAN_NEEDED=fortran
+
+inherit cuda flag-o-matic fortran-2 java-pkg-opt-2 toolchain-funcs versionator multilib-minimal
+
+MY_P=${P/-mpi}
+S=${WORKDIR}/${MY_P}
+
+IUSE_OPENMPI_FABRICS="
+	openmpi_fabrics_ofed
+	openmpi_fabrics_knem
+	openmpi_fabrics_psm"
+
+IUSE_OPENMPI_RM="
+	openmpi_rm_pbs
+	openmpi_rm_slurm"
+
+IUSE_OPENMPI_OFED_FEATURES="
+	openmpi_ofed_features_control-hdr-padding
+	openmpi_ofed_features_connectx-xrc
+	openmpi_ofed_features_udcm
+	openmpi_ofed_features_rdmacm
+	openmpi_ofed_features_dynamic-sl
+	openmpi_ofed_features_failover"
+
+DESCRIPTION="A high-performance message passing library (MPI)"
+HOMEPAGE="http://www.open-mpi.org"
+SRC_URI="http://www.open-mpi.org/software/ompi/v$(get_version_component_range 1-2)/downloads/${MY_P}.tar.bz2"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="cma cuda +cxx elibc_FreeBSD fortran heterogeneous ipv6 java mpi-threads numa romio threads vt
+	${IUSE_OPENMPI_FABRICS} ${IUSE_OPENMPI_RM} ${IUSE_OPENMPI_OFED_FEATURES}"
+
+REQUIRED_USE="openmpi_rm_slurm? ( !openmpi_rm_pbs )
+	openmpi_rm_pbs? ( !openmpi_rm_slurm )
+	openmpi_fabrics_psm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_control-hdr-padding? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_connectx-xrc? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_udcm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_rdmacm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_dynamic-sl? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_failover? ( openmpi_fabrics_ofed )"
+
+MPI_UNCLASSED_DEP_STR="
+	vt? (
+		!dev-libs/libotf
+		!app-text/lcdf-typetools
+	)"
+
+# dev-util/nvidia-cuda-toolkit is always multilib
+CDEPEND="
+	!sys-cluster/mpich
+	!sys-cluster/mpich2
+	!sys-cluster/mpiexec
+	>=dev-libs/libevent-2.0.21[${MULTILIB_USEDEP}]
+	dev-libs/libltdl:0[${MULTILIB_USEDEP}]
+	>=sys-apps/hwloc-1.10.0-r2[${MULTILIB_USEDEP},numa?]
+	>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	cuda? ( >=dev-util/nvidia-cuda-toolkit-6.5.19-r1 )
+	elibc_FreeBSD? ( dev-libs/libexecinfo )
+	openmpi_fabrics_ofed? ( sys-fabric/ofed:* )
+	openmpi_fabrics_knem? ( sys-cluster/knem )
+	openmpi_fabrics_psm? ( sys-fabric/infinipath-psm:* )
+	openmpi_rm_pbs? ( sys-cluster/torque )
+	openmpi_rm_slurm? ( sys-cluster/slurm )
+	openmpi_ofed_features_rdmacm? ( sys-fabric/librdmacm:* )"
+
+RDEPEND="${CDEPEND}
+	java? ( >=virtual/jre-1.6 )"
+
+DEPEND="${CDEPEND}
+	java? ( >=virtual/jdk-1.6 )"
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/mpi.h
+)
+
+pkg_setup() {
+	fortran-2_pkg_setup
+	java-pkg-opt-2_pkg_setup
+
+	if use mpi-threads; then
+		ewarn
+		ewarn "WARNING: use of MPI_THREAD_MULTIPLE is still disabled by"
+		ewarn "default and officially unsupported by upstream."
+		ewarn "You may stop now and set USE=-mpi-threads"
+		ewarn
+	fi
+
+	elog
+	elog "OpenMPI has an overwhelming count of configuration options."
+	elog "Don't forget the EXTRA_ECONF environment variable can let you"
+	elog "specify configure options if you find them necessary."
+	elog
+}
+
+src_prepare() {
+	default
+
+	# Necessary for scalibility, see
+	# http://www.open-mpi.org/community/lists/users/2008/09/6514.php
+	if use threads; then
+		echo 'oob_tcp_listen_mode = listen_thread' \
+			>> opal/etc/openmpi-mca-params.conf || die
+	fi
+}
+
+multilib_src_configure() {
+	if use java; then
+		# We must always build with the right -source and -target
+		# flags. Passing flags to javac isn't explicitly supported here
+		# but we can cheat by overriding the configure test for javac.
+		export ac_cv_path_JAVAC="$(java-pkg_get-javac) $(java-pkg_javac-args)"
+	fi
+
+	ECONF_SOURCE=${S} econf \
+		--sysconfdir="${EPREFIX}/etc/${PN}" \
+		--enable-pretty-print-stacktrace \
+		--enable-orterun-prefix-by-default \
+		--with-hwloc="${EPREFIX}/usr" \
+		--with-libltdl="${EPREFIX}/usr" \
+		--enable-mpi-fortran=$(usex fortran all no) \
+		$(usex !vt --enable-contrib-no-build=vt "") \
+		$(use_enable cxx mpi-cxx) \
+		$(use_with cma) \
+		$(use_with cuda cuda "${EPREFIX}"/opt/cuda) \
+		$(use_enable romio io-romio) \
+		$(use_enable heterogeneous) \
+		$(use_enable ipv6) \
+		$(multilib_native_use_enable java) \
+		$(multilib_native_use_enable java mpi-java) \
+		$(multilib_native_use_enable mpi-threads mpi-thread-multiple) \
+		$(multilib_native_use_with openmpi_fabrics_ofed verbs "${EPREFIX}"/usr) \
+		$(multilib_native_use_with openmpi_fabrics_knem knem "${EPREFIX}"/usr) \
+		$(multilib_native_use_with openmpi_fabrics_psm psm "${EPREFIX}"/usr) \
+		$(multilib_native_use_enable openmpi_ofed_features_control-hdr-padding openib-control-hdr-padding) \
+		$(multilib_native_use_enable openmpi_ofed_features_connectx-xrc openib-connectx-xrc) \
+		$(multilib_native_use_enable openmpi_ofed_features_rdmacm openib-rdmacm) \
+		$(multilib_native_use_enable openmpi_ofed_features_udcm openib-udcm) \
+		$(multilib_native_use_enable openmpi_ofed_features_dynamic-sl openib-dynamic-sl) \
+		$(multilib_native_use_enable openmpi_ofed_features_failover btl-openib-failover) \
+		$(multilib_native_use_with openmpi_rm_pbs tm) \
+		$(multilib_native_use_with openmpi_rm_slurm slurm)
+}
+
+multilib_src_test() {
+	# Doesn't work with the default src_test as the dry run (-n) fails.
+	emake -j1 check
+}
+
+multilib_src_install() {
+	default
+
+	# Remove la files, no static libs are installed and we have pkg-config
+	find "${ED}" -name '*.la' -delete || die
+
+	# fortran header cannot be wrapped (bug #540508), workaround part 1
+	if multilib_is_native_abi && use fortran; then
+		mkdir "${T}"/fortran || die
+		mv "${ED}"usr/include/mpif* "${T}"/fortran || die
+	else
+		# some fortran files get installed unconditionally
+		rm "${ED}"usr/include/mpif* "${ED}"usr/bin/mpif* || die
+	fi
+}
+
+multilib_src_install_all() {
+	# From USE=vt see #359917
+	rm "${ED}"usr/share/libtool &> /dev/null || die
+
+	# fortran header cannot be wrapped (bug #540508), workaround part 2
+	if use fortran; then
+		mv "${T}"/fortran/mpif* "${ED}"usr/include || die
+	fi
+
+	# Avoid collisions with libevent
+	rm -rf "${ED}"usr/include/event2 &> /dev/null || die
+
+	if use java; then
+		local mpi_jar="${ED}"usr/$(get_libdir)/mpi.jar
+		java-pkg_dojar "${mpi_jar}"
+		# We don't want to install the jar file twice
+		# so let's clean after ourselves.
+		rm "${mpi_jar}" || die
+	fi
+
+	einstalldocs
+}


             reply	other threads:[~2016-08-11  7:55 UTC|newest]

Thread overview: 141+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-11  7:55 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24  6:41 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/openmpi/ Michał Górny
2024-08-23 23:37 Jakov Smolić
2024-08-23 17:32 Eli Schwartz
2024-08-23 17:32 Eli Schwartz
2024-08-10 18:21 Arthur Zamarin
2024-07-17  5:43 Eli Schwartz
2024-07-17  5:43 Eli Schwartz
2024-07-15 11:14 Miroslav Šulc
2024-07-15 11:14 Miroslav Šulc
2024-07-12  5:55 Eli Schwartz
2024-07-12  5:55 Eli Schwartz
2024-07-12  5:55 Eli Schwartz
2024-06-14  6:45 Sam James
2024-06-14  6:45 Sam James
2024-02-22 20:33 Arthur Zamarin
2024-02-22 20:33 Arthur Zamarin
2024-02-22 20:33 Arthur Zamarin
2024-02-21  2:29 Sam James
2024-02-02  1:02 Sam James
2024-01-24 20:34 Arthur Zamarin
2024-01-24 19:21 Michał Górny
2023-12-19 11:27 Sam James
2023-09-10 20:33 David Seifert
2023-06-03  9:50 WANG Xuerui
2023-05-16  3:39 Sam James
2023-02-14  0:29 Mike Gilbert
2022-12-26 20:30 David Seifert
2022-12-06 15:16 Arthur Zamarin
2022-12-06 15:16 Arthur Zamarin
2022-12-06 15:16 Arthur Zamarin
2022-12-06 15:16 Arthur Zamarin
2022-12-06 14:33 Arthur Zamarin
2022-12-06 14:33 Arthur Zamarin
2022-10-17  3:17 Sam James
2022-06-04  1:17 Sam James
2022-03-07  4:29 Sam James
2022-02-02  6:21 Sam James
2022-01-29  0:44 Sam James
2022-01-29  0:02 Sam James
2022-01-29  0:02 Sam James
2022-01-28 19:20 Arthur Zamarin
2022-01-28 19:20 Arthur Zamarin
2022-01-28 19:16 Arthur Zamarin
2022-01-16 18:26 David Seifert
2022-01-16  0:00 David Seifert
2021-12-01  5:48 Arthur Zamarin
2021-12-01  5:48 Arthur Zamarin
2021-11-25  6:47 Sam James
2021-11-25  6:47 Sam James
2021-10-29 22:44 Sam James
2021-10-26 17:08 Jakov Smolić
2021-10-20  0:11 Sam James
2021-10-16  6:29 Sam James
2021-10-16  2:12 Sam James
2021-10-15  6:00 Agostino Sarubbo
2021-10-14 13:39 Agostino Sarubbo
2021-10-13 20:35 Sam James
2021-08-25 12:43 Pacho Ramos
2021-08-25 10:16 Pacho Ramos
2021-07-14 22:45 Marek Szuba
2021-07-05 13:25 Marek Szuba
2021-06-15 13:03 Joonas Niilola
2021-06-15 13:03 Joonas Niilola
2021-05-09 22:28 Pacho Ramos
2021-04-03 15:44 Sam James
2021-02-28 11:27 罗百科
2021-01-05 15:17 Mikle Kolyada
2020-07-30  8:29 Mikle Kolyada
2020-05-08  8:25 Alexys Jacob
2020-03-24  9:51 Mikle Kolyada
2020-03-22 14:55 Mikle Kolyada
2020-03-22 14:52 Mikle Kolyada
2020-03-22 14:43 Mikle Kolyada
2020-03-22 14:34 Mikle Kolyada
2020-03-21  9:38 Mikle Kolyada
2020-03-21  9:38 Mikle Kolyada
2020-02-24  9:22 Mikle Kolyada
2020-02-23  9:35 Mikle Kolyada
2020-02-23  9:34 Mikle Kolyada
2020-02-23  9:25 Mikle Kolyada
2020-01-01 16:26 Mikle Kolyada
2019-11-10 13:26 Mikle Kolyada
2019-10-26 21:04 Mikle Kolyada
2019-10-10 21:19 Mikle Kolyada
2019-09-04 14:21 Justin Bronder
2019-08-29 21:05 Justin Bronder
2019-06-10 22:15 Justin Bronder
2019-06-10 22:15 Justin Bronder
2019-04-25 16:48 Justin Bronder
2019-04-22 15:06 Justin Bronder
2019-04-21 11:33 Alexey Shvetsov
2019-02-26  3:20 Justin Bronder
2018-11-16 17:01 Justin Bronder
2018-10-29 22:25 Justin Bronder
2018-09-11 14:29 Justin Bronder
2018-08-27 15:13 Justin Bronder
2018-08-21 21:22 Justin Bronder
2018-08-13 15:36 Justin Bronder
2018-07-02 17:05 Justin Bronder
2018-06-05 17:32 Justin Bronder
2018-05-24 14:53 Justin Bronder
2018-05-24 14:53 Justin Bronder
2018-05-22 22:40 Matthias Maier
2018-05-22  2:17 Christoph Junghans
2018-04-02 15:00 Justin Bronder
2018-03-19 14:20 Justin Bronder
2018-03-01 15:09 Michał Górny
2018-01-27  8:23 Michał Górny
2017-11-26 21:25 Justin Bronder
2017-11-26 20:05 Justin Bronder
2017-09-22 17:07 Justin Bronder
2017-06-01 22:09 Justin Bronder
2017-06-01 22:09 Justin Bronder
2017-05-10 20:47 Justin Bronder
2017-04-02 23:41 Matt Turner
2017-03-23  0:48 Justin Bronder
2017-03-22 20:15 Justin Bronder
2017-03-22 19:58 Justin Bronder
2017-03-17  6:36 Matt Turner
2017-03-17  6:36 Matt Turner
2017-03-10 10:59 Agostino Sarubbo
2017-03-10  9:09 Agostino Sarubbo
2017-02-22 22:54 Michael Weber
2017-02-17 22:09 Justin Bronder
2017-02-01 14:29 Justin Bronder
2016-11-09 15:59 Justin Bronder
2016-09-27 11:04 Tobias Klausmann
2016-09-12  1:32 Christoph Junghans
2016-09-08 20:20 Christoph Junghans
2016-09-06  0:18 Christoph Junghans
2016-08-29 20:58 Christoph Junghans
2016-08-29 20:58 Christoph Junghans
2016-08-11 19:06 David Seifert
2016-08-11 17:18 David Seifert
2016-08-11 14:27 Christoph Junghans
2016-08-11 13:31 Justin Bronder
2016-06-29 22:33 Alexey Shvetsov
2016-02-11  2:04 Justin Bronder
2015-09-23 21:51 Justin Bronder
2015-08-24  5:21 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1470902082.b71662d42ea8943e4db7aa2856b8fe46b74bc97e.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox